Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal
Interface PageContainer

All Superinterfaces:
  java.lang.Comparable, PortalObject

All Known Subinterfaces:
  Page, Portal

All Known Implementing Classes:
  PageImpl, PortalImpl

    public interface PageContainer

extends PortalObject

An interface which defines a page container.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface org.jboss.portal.core.model.portal.PortalObject
`CONTEXT_MASK, DEFAULT_OBJECT_NAME, PAGE_MASK, PORTAL_MASK, PORTAL_PROP_DEFAULT_OBJECT_NAME, TYPE_CONTEXT, TYPE_PAGE, TYPE_PORTAL, TYPE_WINDOW, WINDOW_MASK`

Method Summary
`Page` | `createPage(java.lang.String name)` Create a new page in the scope of this container.
`Page` | `getPage(java.lang.String name)` Return an existing page or null if the child does not exist or does not have the right type.

Methods inherited from interface org.jboss.portal.core.model.portal.PortalObject
`copy, destroyChild, getChild, getChild, getChildren, getChildren, getDeclaredProperties, getDeclaredProperty, getDisplayName, getId, getListener, getName, getParent, getProperties, getProperty, getType, setDeclaredProperty, setDisplayName, setListener`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getPage

    Page getPage(java.lang.String name)
                 throws java.lang.IllegalArgumentException

  Return an existing page or null if the child does not exist or does not have the right type.

  Returns:
    the specified page
  Throws:
    `java.lang.IllegalArgumentException` - if the name argument is null

### createPage

    Page createPage(java.lang.String name)
                    throws DuplicatePortalObjectException,
                           java.lang.IllegalArgumentException

  Create a new page in the scope of this container.

  Parameters:
    `name` - the name of the child page to create
  Returns:
    the create page
  Throws:
    `DuplicatePortalObjectException` - if an object with the specified name already exist
    `java.lang.IllegalArgumentException` - if the name argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD